Package org.opensaml.core.config.provider

# Class AbstractFilesystemConfigurationPropertiesSource

java.lang.Object
org.opensaml.core.config.provider.AbstractFilesystemConfigurationPropertiesSource

All Implemented Interfaces:
  `ConfigurationPropertiesSource`

Direct Known Subclasses:
  `SystemPropertyFilesystemConfigurationPropertiesSource`

public abstract class AbstractFilesystemConfigurationPropertiesSource extends Object implements ConfigurationPropertiesSource
A configuration properties source implementation which obtains the properties set from a resource on the filesystem.

This is an abstract implementation. A concrete implementation must supply the filesystem path to use via the `getFilename()` method.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Properties`
`cachedProperties`
Cache of properties.
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`AbstractFilesystemConfigurationPropertiesSource()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract String`
`getFilename()`
Get the configuration properties filename.
`ConfigurationProperties`
`getProperties()`
Get the property set exposed by the source.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

### cachedProperties

@Nullable private Properties cachedProperties
Cache of properties.

## Constructor Details

### AbstractFilesystemConfigurationPropertiesSource

public AbstractFilesystemConfigurationPropertiesSource()

## Method Details

### getProperties

@Nullable public ConfigurationProperties getProperties()
Get the property set exposed by the source.

Specified by:
  `getProperties` in interface `ConfigurationPropertiesSource`
Returns:
  the properties set or null

### getFilename

@Nullable protected abstract String getFilename()
Get the configuration properties filename.

Returns:
  the absolute filename